import { Base, Type } from "igniteui-angular-core/ES2015/type";
import { NormalizedEvent } from "igniteui-angular-core/ES2015/dom";
/**
 * @hidden
 */
export declare class FinancialChartDropDownControlViewModel extends Base {
    static $t: Type;
    private _onSelectionChanged;
    onSelectionChanged: () => void;
    private _isOpen;
    isOpen: boolean;
    private _notifyChanged;
    notifyChanged: () => void;
    updateUI(): void;
    onButtonPressed(): void;
    handleDropDownClick(a: NormalizedEvent): void;
    a: (arg1: NormalizedEvent) => void;
}
